# Cities Skylines 2 : 529 Tiles Lite
Enables access to all 529 map tiles, with a choice of one of three methods:
- **Unlock all tiles** - automatically and immediately unlocks all tiles on the map when you start a new city (or load an existing one). Quite straightforward.
- **Provide extra tiles at start** - adds 88 immediately-available tile unlocks when you first start a new city (all milestones will add their usual amount of tile unlocks on top of this); this enables flexibility with your initial start.
- **Allocate extra tiles to milestones** - allocates the additional 88 tile unlocks across all regular game milestones, in proportion to the normal amount for each milestone. This enables steady unlocking over the course of a normal game.
- Optional **custom selection of starting tiles** (if 'Unlock all tiles' is not selected), which enables you to choose your own nine starting tiles (at no cost) when starting a new map.

![529 Tiles options](https://i.imgur.com/gIIqmjm.png)

## Instructions
Install the mod, load to the main menu, and go to 'Settings'. There will be a mod setting entry there for '529 Tiles' where you can choose the unlock mode (see above) that you want.

The selected unlock mode will be automatically applied to any new game started or existing save loaded. '**Unlock all**' and '**Provide extra tiles at start**' effects are instant; there is no need to unlock the first milestone to trigger any actions.

When purchasing tiles, the price of the final 88 map tiles will be locked (so the price won't keep on increasing for each tile beyond the vanilla game maximum).

The option to choose your own starting tiles is only available if 'unlock all tiles' is not selected.  When this option is selected any new maps will start with zero existing unlocked tiles, so you can choose and unlock your own starting tiles normally (if using this option the first nine tile unlocks are free).

### Safe to remove at any time
This mod is not required to load any saves made with it. Saves made with this mod *will* work fine without it (any unlocked tiles will remain unlocked, even if you don't have this mod). Obviously, without it you're back to a 441 tile maximum (except for any that you've already unlocked).

## Requirements
- BepInEx 5

## Installation
1. Make sure that BepInEx 5 is installed.
1. Run the game at least once after you've installed BepInEx and before you install this mod.
1. Place the `FiveTwentyNineTilesLite` folder in the archive in your BepInEx `Plugins` folder.

## Translations
This mod supports localization. Please help out with translating this mod into different languages [at the CrowdIn project](https://crowdin.com/project/592-tiles/)!

## Support
It's usually easiest to contact me at the [**Cities: Skylines modding Discord**](https://discord.gg/7rTsfUdfTf), or I'm also contactable as u/algernon_A on the [Cities: Skylines modding Subreddit](https://www.reddit.com/r/CitiesSkylinesModding) (r/CitiesSkylinesModding). You could also raise an issue on the GitHub.

## Meta

### Source code
[Available on GitHub](https://github.com/algernon-A/FiveTwentyNineTilesLite) (algernon-A/FiveTwentyNineTilesLite).

As always, *never* trust a mod without publicly available source code!

>And still be cautious about mods that *do* make their source available, but at least those mods are off to a better start by already treating you - the user - with at least a modicum of respect.

### Modders
Modders (and aspiring modders!), as always I'm available and happy to chat about what I've done and answer any questions, and also about how you can implement anything that I've done for your own mods. Come grab me on the Cities: Skylines Modding Discord!

## Disclaimers and legal
The only authorized distribution platforms for this mod, or mods based substantially on the code of this mod, are the GitHub repo linked above, this Thunderstore.io upload, and Paradox Mods (that's the *actual* Paradox Mods at mods.paradoxplaza.com, not the **scam and malware site paradoxmods net** which is explicitly NOT licensed to distribute any of my work, or works derived from my work). Any version or copy of this mod that you encounter elsewhere is most likely being used as a vector for malware and should be ignored.

Downloading, installation, and use of this mod is at your own risk.

>This mod is Copyright 2023 algernon (github.com/algernon-A). All rights reserved. To eliminate any doubt, explicit permission is hereby granted to download this mod for personal use and for Thunderstore.io to distribute it (<- I hope all this isn't actually necessary, but you never know these days). Permission is explicitly NOT granted for further distribution or licensing (<- this bit so I can at least *try* to DMCA the malware-spreaders). If you think you've got a good use-case for an exception to any of this, contact me, let's talk!

>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

>Have a virtual jellybean if you actually read this far!